summaryrefslogtreecommitdiffstats
path: root/debian/tests
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 20:46:56 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 20:46:56 +0000
commit2dd01f6cc0c6333b58c3e77f3d8a3dca116a1c8b (patch)
tree96185c3fd8772392c9989835f1b9954b5aadb9d8 /debian/tests
parentAdding upstream version 1:4.13+dfsg1. (diff)
downloadshadow-2dd01f6cc0c6333b58c3e77f3d8a3dca116a1c8b.tar.xz
shadow-2dd01f6cc0c6333b58c3e77f3d8a3dca116a1c8b.zip
Adding debian version 1:4.13+dfsg1-4.debian/1%4.13+dfsg1-4
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control2
-rwxr-xr-xdebian/tests/smoke13
2 files changed, 15 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..c2b1d88
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: smoke
+Restrictions: needs-root superficial
diff --git a/debian/tests/smoke b/debian/tests/smoke
new file mode 100755
index 0000000..69bbfb0
--- /dev/null
+++ b/debian/tests/smoke
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+echo "Adding an user works"
+useradd shadow-test-user
+grep '^shadow-test-user:x:' /etc/passwd
+grep '^shadow-test-user:!:' /etc/shadow
+
+echo "Removing an user works"
+userdel shadow-test-user
+! grep 'shadow-test-user' /etc/passwd
+! grep 'shadow-test-user' /etc/shadow